develooper Front page | perl.perl5.porters | Postings from June 2021

Re: use warnings ':most'

Thread Previous | Thread Next
From:
Paul "LeoNerd" Evans
Date:
June 8, 2021 23:00
Subject:
Re: use warnings ':most'
Message ID:
20210609000026.53c165e9@shy.leonerd.org.uk
On Sun, 6 Jun 2021 18:40:29 -0400
Dan Book <grinnz@gmail.com> wrote:

> This is already a feature (recently added) except that it won't enable
> warnings you didn't specify explicitly:
> https://perldoc.perl.org/warnings#%22Negative-warnings%22

Surely a oneline fix for that:

  unshift @args, ":all" if @args and $args[0] =~ m/^-/;

> But this doesn't address the issue at hand, which is adjusting what is
> enabled by default by "use warnings;" or "use VERSION;".

Agreed.

-- 
Paul "LeoNerd" Evans

leonerd@leonerd.org.uk      |  https://metacpan.org/author/PEVANS
http://www.leonerd.org.uk/  |  https://www.tindie.com/stores/leonerd/

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About